import { AddCdnDomainRequest, Origin, ServerCert } from 'tencentcloud-sdk-nodejs/tencentcloud/services/cdn/v20180606/cdn_models';
import { CdnDeployInputs, CertInputs, OriginInputs } from './interface';
/**
 * 格式化证书
 *
 * @param inputs 证书信息
 * @returns 格式化后的证书信息
 */
declare function certInputs(inputs: CertInputs): ServerCert;
/**
 * 格式化 CDN 源信息
 *
 * @param inputs 输入源信息
 * @returns 格式化后的源信息
 */
export declare function originInputs(inputs: OriginInputs): Origin;
/**
 * DeployInputs 转 AddCdnDomainRequest
 *
 * @param inputs deploy 输入
 * @returns 添加 cdn 请求
 */
declare function deployInputs(inputs: CdnDeployInputs): AddCdnDomainRequest;
export declare const formatter: {
    originInputs: typeof originInputs;
    certInputs: typeof certInputs;
    deployInputs: typeof deployInputs;
};
export {};
